<?php if ( ! defined( 'ABSPATH' ) ) exit; ?>

<style>
    .associator-button-container {
		margin-left: 1em;
    }
    #associator_button_new {
        display: none;
    }
    #associator_button_export {
        display: none;
    }
    .associator-loader {
        display: none;
    }
    .spinner {
	    float: none;
	    position: relative;
        top: -4px;
    }
    .associator-loader-content {
        margin: 5px 0;
    }
    .associator-info {
        display: none;
    }
    .associator-info-icon {
	    position: relative;
        top: 5px;
    }
    .associator-info-content {
        margin: 5px 0;
    }
    .associator-modal {
        display: none;
    }
    #TB_window {
		height: 290px !important;
		width: 630px !important;
    }
</style>

<?php add_thickbox(); ?>
<div id="associator-terms-modal" class="associator-modal">
	<div class="associator-modal-content">
	    <p><?php _e( 'By registering your store, you will receive a unique API key, which will be automatically saved in the settings of the Associator plugin.', 'associator' ) ?></p>

	    <p><?php _e( 'After registering the API key, information about new orders will be exported to the Associator platform automatically. We will use this data to create the best recommendations for your store and we promise not to share these data with any third parties.', 'associator' ) ?></p>

	    <p><label><input type="checkbox" onchange="document.getElementById('associator_button_confirmation').disabled = !this.checked;"> <?php printf( __( 'I agree to the %1$sTerms of Service%3$s and to %2$sshare details with the Associator service%3$s.', 'associator' ), '<a href="' . $terms_link . '" target="_blank">', '<a href="' . $privacy_link . '" target="_blank">', '</a>' ); ?></label></p>


	    <p><button id="associator_button_confirmation" class="button button-primary" disabled><?php _e( 'Continue and create application', 'associator' ) ?></button></p>
	</div>
</div>

<span class="associator-button-container">
    <a id="associator_button_new" class="thickbox" href="#TB_inline?width=600&height=250&inlineId=associator-terms-modal"><button class="button"><?php _e( 'Get the API key', 'associator' ) ?></button></a>

    <?php if ( ! $orders_exported ) : ?>
    	<button id="associator_button_export" class="button"><?php _e( 'Export historic orders', 'associator' ) ?></button>
    <?php endif; ?>

	<span class="associator-loader">
	    <span class="spinner"></span>
	    <span class="associator-loader-content"></span>
	</span>

	<span class="associator-info">
	    <span class="associator-info-icon"><span class="dashicons dashicons-admin-comments"></span></span>
	    <span class="associator-info-content"></span>
	</span>
</span>

<script>

    var variables = {
        translations: {
            creating_application: "<?php _e( 'Creating application...', 'associator' ) ?>",
            exporting_transaction: "<?php _e( 'Exporting... Please don\'t leave this page until export is finished.', 'associator' ) ?>",
            something_went_wrong: "<?php _e( 'Oops, something went wrong. Please try again.', 'associator' ) ?>",
            export_finish_successfully: "<?php _e( 'Historic orders have been exported successfully!', 'associator' ) ?>",
        }
    };

    (function ($) {

        if ($('#associator_settings\\[associator_api_key\\]').val() === '') {
            $('#associator_button_new').show();
        } else {
            $('#associator_button_export').show();
        }

		$(document).ready(function(){
			$('.associator-button-container').appendTo('p.submit');
		});

        $(document).on('click', '#associator_button_confirmation', function (e) {
            e.preventDefault();

            $.ajax({
                type: 'post',
                url: 'admin-ajax.php',
                data: {action: 'associator_create_application'},
                timeout: 300000,
                beforeSend: function (response) {
                    $('#associator-terms-modal').hide();
                    $('#associator_button_new').hide();
                    $('.spinner').css('visibility', 'visible');
                    $('.associator-loader-content').text(variables.translations.creating_application);
                    $('.associator-loader').show();
                },
                success: function (response) {
                    if (response.status === 'Success') {
                        window.location.reload(false);
                    } else {
                        $('.associator-loader').hide();
                        $('.spinner').css('visibility', 'hidden');
                        $('.associator-info-content').text(variables.translations.something_went_wrong);
                        $('.associator-info').show();
                    }
                },
                error: function() {
                    $('.associator-loader').hide();
                    $('.spinner').css('visibility', 'hidden');
                    $('.associator-info-content').text(variables.translations.something_went_wrong);
                    $('.associator-info').show();
                }
            });

        });

        $(document).on('click', '#associator_button_export', function (e) {
            e.preventDefault();

            $.ajax({
                type: 'post',
                url: 'admin-ajax.php',
                data: {action: 'associator_import_transactions'},
                timeout: 600000,
                beforeSend: function (response) {
                    $('#associator_button_export').hide();
                    $('.associator-loader-content').text(variables.translations.exporting_transaction);
                    $('.associator-loader').show();
                    $('.spinner').css('visibility', 'visible');
                },
                success: function (response) {
                    if (response.status === 'Success') {
                        $('.associator-loader').hide();
                        $('.spinner').css('visibility', 'hidden');
                        $('.associator-info-content').text(variables.translations.export_finish_successfully);
                        $('.associator-info').show();
                    } else {
                        $('.associator-loader').hide();
                        $('.spinner').css('visibility', 'hidden');
                        $('.associator-info-content').text(variables.translations.something_went_wrong);
                        $('.associator-info').show();
                    }
                },
                error: function() {
                    $('.associator-loader').hide();
                    $('.spinner').css('visibility', 'hidden');
                    $('.associator-info-content').text(variables.translations.something_went_wrong);
                    $('.associator-info').show();
                }
            });
        });

    })(jQuery);
</script>
