<?php if ( ! defined( 'ABSPATH' ) ) exit; ?>

<style>
    .associator-container ul.products li.product {
        margin-bottom: 0
    }
    .associator-button-add-to-cart {
        margin-top: 20px;
        margin-bottom: 20px;
        float: bottom;
        text-align: center;
    }
    .associator-button-add-to-cart a{
        padding-left: 25px;
        padding-right: 25px;
    }
</style>

<div class="associator-container">
    <h2><?php echo $content; ?></h2>
    <?php echo do_shortcode(apply_filters( 'widget_text', sprintf('[products ids="%s"]', implode(',', $products)))); ?>
</div>

<script>
    (function ($) {

        $(document).on('click', '.woocommerce-loop-product__link img', function (e) {
            e.preventDefault();

            var url = $(this).parent().attr('href');
            var product = $(this).parent().find(":checkbox").val();

            $.ajax({
                type: 'post',
                url: wc_add_to_cart_params.ajax_url,
                data: {
                    action: 'associator_ajax_event',
                    event: 'click',
                    products: [product]
                },
                complete: function () {
                    $(location).attr("href", url);
                },
            });
        });

        $(document).on('click', '.single_add_to_cart_button', function (e) {
            e.preventDefault();

            var $this = $(this);
            var data = {
                action: 'associator_ajax_add_to_cart',
                products: []
            };

            $this.parent().parent().find(":checkbox:checked").each(function(){
                data.products.push({ product_id: jQuery(this).val()});
            });

            $.ajax({
                type: 'post',
                url: wc_add_to_cart_params.ajax_url,
                data: data,
                beforeSend: function (response) {
                    $this.removeClass('added').addClass('loading');
                },
                complete: function (response) {
                    $this.addClass('added').removeClass('loading');
                },
                success: function (response) {
                    if (response.error & response.product_url) {
                        window.location = response.product_url;
                    } else {
                        $(document.body).trigger('added_to_cart', [response.fragments, response.cart_hash, $this]);
                        $this.hide();
                    }
                },
            });
        });
    })(jQuery);

</script>